Last Comment Bug 318680 - "Organisation" should be spelled "Organization" in the alert for empty fields in Address Book.
: "Organisation" should be spelled "Organization" in the alert for empty fields...
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed1.8.1
Product: MailNews Core
Classification: Components
Component: Address Book (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: ---
Assigned To: Stephen Donner [:stephend]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 22:51 PST by Stephen Donner [:stephend]
Modified: 2008-07-31 04:30 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Thunderbird patch (trunk) (1.97 KB, patch)
2005-12-01 23:01 PST, Stephen Donner [:stephend]
mscott: review+
mscott: superreview+
mscott: approval‑branch‑1.8.1+
Details | Diff | Review
SeaMonkey patch (trunk) (2.15 KB, patch)
2005-12-01 23:04 PST, Stephen Donner [:stephend]
standard8: review+
mscott: superreview+
Details | Diff | Review

Description Stephen Donner [:stephend] 2005-12-01 22:51:11 PST
In the alert that comes up when you have one of the newly-required fields left blank, "Organization" is spelled "Organisation" (British spelling).

This was added in bug 314995.

It's not that I necessarily want to assert the American spelling but:

1) The field itself is spelled "Organization"
2) The precedent is for American spelling of words, with the exception of "colour" and a few others.

Patch forthecoming.
Comment 1 Stephen Donner [:stephend] 2005-12-01 23:01:28 PST
Created attachment 204762 [details] [diff] [review]
Thunderbird patch (trunk)
Comment 2 Stephen Donner [:stephend] 2005-12-01 23:04:51 PST
Created attachment 204763 [details] [diff] [review]
SeaMonkey patch (trunk)
Comment 3 Scott MacGregor 2005-12-01 23:40:16 PST
Comment on attachment 204762 [details] [diff] [review]
Thunderbird patch (trunk)

thanks stephen!
Comment 4 Stephen Donner [:stephend] 2005-12-01 23:43:30 PST
Scott/Mark, can you guys please land these patches for me?  Pretty please? ;-)
Comment 5 Mark Banner (:standard8) 2005-12-02 00:55:28 PST
Comment on attachment 204763 [details] [diff] [review]
SeaMonkey patch (trunk)

Thanks Stephen. I'll check the patches in in a couple of hours if scott hasn't done so already.
Comment 6 Mark Banner (:standard8) 2005-12-02 05:53:06 PST
This is actually a core address book bug ;-)
Comment 7 Mark Banner (:standard8) 2005-12-02 05:58:41 PST
Both patches checked in:

/cvsroot/mozilla/mail/components/addrbook/content/abCardOverlay.js,v  <--  abCardOverlay.js
new revision: 1.13; previous revision: 1.12
done
Checking in mail/locales/en-US/chrome/messenger/addressbook/addressBook.properties;
/cvsroot/mozilla/mail/locales/en-US/chrome/messenger/addressbook/addressBook.properties,v  <--  addressBook.properties
new revision: 1.9; previous revision: 1.8
/cvsroot/mozilla/mailnews/addrbook/resources/content/abCardOverlay.js,v  <--  abCardOverlay.js
new revision: 1.61; previous revision: 1.60
done
Checking in mailnews/addrbook/resources/locale/en-US/addressBook.properties;
/cvsroot/mozilla/mailnews/addrbook/resources/locale/en-US/addressBook.properties,v  <--  addressBook.properties
new revision: 1.37; previous revision: 1.36
Comment 8 Stephen Donner [:stephend] 2005-12-02 08:40:15 PST
Thanks guys!

Marking FIXED
Comment 9 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-12-14 13:54:26 PST
First a=me for the SeaMonkey patch
Comment 10 neil@parkwaycc.co.uk 2005-12-14 14:00:54 PST
a=me for SeaMonkey
Comment 11 Mark Banner (:standard8) 2005-12-14 14:05:35 PST
SeaMonkey only patch checked into the 1.8 branch in time for SeaMonkey 1.0b.
Comment 12 Mark Banner (:standard8) 2005-12-22 12:39:44 PST
(In reply to comment #11)
> SeaMonkey only patch checked into the 1.8 branch in time for SeaMonkey 1.0b.
> 
Also now checked into the 1.8.0 branch.
Comment 13 Mark Banner (:standard8) 2006-03-24 07:14:33 PST
Comment on attachment 204762 [details] [diff] [review]
Thunderbird patch (trunk)

This patch corrects the spelling of a previous patch, l10n change but should be low risk.
Comment 14 Mark Banner (:standard8) 2006-03-26 04:27:22 PST
Thunderbird patch checked into 1.8.1 branch.

Note You need to log in before you can comment on or make changes to this bug.